Package org.eclipse.emf.cdo.spi.common.lock

## Class AbstractCDOLockState

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.lock.AbstractCDOLockState

- All Implemented Interfaces:
    `CDOBranchProvider`, `CDOIdentifiable`, `CDOLockState`, `CDOIDAndBranch`

      public abstract class AbstractCDOLockState
      extends java.lang.Object
      implements CDOLockState

  Since:
    4.15
  Author:
    Eike Stepper
  No Extend
    This class is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockState

      `DEPTH_INFINITE, DEPTH_NONE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractCDOLockState()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `CDOBranch` | `getBranch()` |
    `CDOID` | `getID()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockState

      `getLockedObject, getReadLockOwners, getWriteLockOwner, getWriteOptionOwner, isLocked`

- - ### Constructor Detail

    - #### AbstractCDOLockState

          public AbstractCDOLockState()

  - ### Method Detail

    - #### getBranch

          public CDOBranch getBranch()

      Specified by:
        `getBranch` in interface `CDOBranchProvider`
      Specified by:
        `getBranch` in interface `CDOIDAndBranch`

    - #### getID

          public CDOID getID()

      Specified by:
        `getID` in interface `CDOIdentifiable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`